import { ViewPlugin, DecorationSet, EditorView, ViewUpdate } from '@codemirror/view';

declare const typesWithMarks: string[];
declare const markTypes: string[];
declare class HideMarkPlugin {
    decorations: DecorationSet;
    constructor(view: EditorView);
    update(update: ViewUpdate): void;
    compute(view: EditorView): DecorationSet;
}
/**
 * CodeMirror plugin to hide Markdown decoration marks.
 */
declare const hideMarks: () => ViewPlugin<HideMarkPlugin>[];

export { hideMarks, markTypes, typesWithMarks };
