import { StateField } from '@codemirror/state';

interface HeadingSlug {
    slug: string;
    pos: number;
}
/**
 * A plugin that stores the calculated slugs of the document headings in the
 * editor state. These can be useful when resolving links to headings inside
 * the document.
 */
declare const headingSlugField: StateField<HeadingSlug[]>;

export { HeadingSlug, headingSlugField };
